modification epaisseur arete d'une CATPart

Voir le sujet précédent Voir le sujet suivant Aller en bas

modification epaisseur arete d'une CATPart

Message par toulouzing le Mer 25 Juin 2014 - 2:34

Bonjour

Je bloque sur le probleme suivant :
J'ai quelques centaines de pieces qui sont représentées en epaisseur 0.5 et je voudrais les passer en 0.15 par macro VBA.
Il me manque la commande pour changer dans les propriétés du corps de piece l'épaisseur.

Si quelqu'un à la réponse...

Merci

toulouzing
timide
timide

Messages : 15
Date d'inscription : 09/04/2014
Localisation : toulouse

Revenir en haut Aller en bas

Re: modification epaisseur arete d'une CATPart

Message par Guss_ le Mer 25 Juin 2014 - 3:20

Déjà, qu'arrives tu à faire en VBA ?
Tes pièces sont-elle toutes issue du même model ? du coup le nom de la propriété à changer serait identique dans toute les pièces ? ou bien les pièces ont elle été créées indépendamment les unes des autres ?

Guss_
Fédérateur
Fédérateur

Messages : 501
Date d'inscription : 08/01/2010

Revenir en haut Aller en bas

Re: modification epaisseur arete d'une CATPart

Message par toulouzing le Mer 25 Juin 2014 - 23:38

Bonjour
En VBA, je sais partir d'une liste de pieces depuis excel et les ouvrir dans CATIA , voire les modifier creer des points ou autre, les updatés les stocker.....
J'ai une liste de vis qui ont été faites à partir d'un fichier de reference donc la proprieté a changer doit être la même.

Merci


toulouzing
timide
timide

Messages : 15
Date d'inscription : 09/04/2014
Localisation : toulouse

Revenir en haut Aller en bas

Re: modification epaisseur arete d'une CATPart

Message par Guss_ le Jeu 26 Juin 2014 - 2:59

En fait je viens de comprendre, j'étais à coté de la plaque lors de me 1ere réponse.

Tu veux modifier la propriété graphique de l'épaisseur des trait de rendu graphique de tes pièces, donc (et pas changer l'épaisseur de différentes pièces ...)

Guss_
Fédérateur
Fédérateur

Messages : 501
Date d'inscription : 08/01/2010

Revenir en haut Aller en bas

Re: modification epaisseur arete d'une CATPart

Message par Guss_ le Jeu 26 Juin 2014 - 3:28

voilà un bout de code qui met tout ce qui est sélectionné en ligne de type 1

Code:
 Dim visProperties1 As VisPropertySet

 Set visProperties1 = CATIA.ActiveDocument.Selection.VisProperties
visProperties1.SetRealWidth 1, 1





l'extrait de l'aide correspondant

o Sub SetRealWidth( long  iLineWidth,
long  iInheritance)

Sets the real line width and the line width inheritance flag for the current selection.
Parameters:
iLineWidth
The value ranges from 1 to 63. Each indice is a thickness customizable in the page Tools/Options/General/Display/thickness.
iInheritance
Legal value:
0
No heritance
1
Heritance
Example:
The following sample shows how to change line width of current selection.
Set visProperties1 = CATIA.ActiveDocument.Selection.VisProperties
visProperties1.SetRealWidth 4,1

Guss_
Fédérateur
Fédérateur

Messages : 501
Date d'inscription : 08/01/2010

Revenir en haut Aller en bas

Re: modification epaisseur arete d'une CATPart

Message par toulouzing le Jeu 26 Juin 2014 - 19:31

Super

C'est exactement ce qui me manquait. Je n'avais pas su trouver ces infos.

Merci à toi.

toulouzing
timide
timide

Messages : 15
Date d'inscription : 09/04/2014
Localisation : toulouse

Revenir en haut Aller en bas

Re: modification epaisseur arete d'une CATPart

Message par Contenu sponsorisé


Contenu sponsorisé


Revenir en haut Aller en bas

Voir le sujet précédent Voir le sujet suivant Revenir en haut

- Sujets similaires

 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum